{% if doc.list_split %}
	<h4>
		{{ doc.title }}
	</h4>
{% else %}
<div class="web-list-item" id="{{ doc.name }}">
	<a class="w-100" href="{{ "/" + doc.route }}">
		<div class="flex {% if doc.event_status == 'past' %}past-event{% endif %}">
			{% if doc.image %}
			<img src="{{ doc.image | abs_url | e }}" width="72" height="72" style="object-fit: contain;" />
			{% endif %}
			<div class="row {% if doc.image %}pl-2{% endif %}">
				<div class="col-12">
					{{ doc.title or doc.name }}

					{% if doc.event_status == 'past' %}
					{# <span class="indicator-pill no-indicator-dot darkgrey">
						{{ _("Past Event") }}
					</span> #}
					{% else %}
					<span class="indicator-pill no-indicator-dot {{ "red" if doc.status == "Cancelled" else ("darkgrey" if doc.status == "Closed" else "green") }}">
						{{ _(doc.status) }}
					</span>
					{% endif %}
				</div>
				<div class="col-12 small text-muted transaction-time"
					title="{{ frappe.utils.format_datetime(doc.starts_on, "medium") }}">
					{% if doc.ends_on and frappe.utils.getdate(doc.starts_on) != frappe.utils.getdate(doc.ends_on) %}
						{{ frappe.utils.global_date_format(doc.starts_on) }}
						&ndash;
						{{ frappe.utils.global_date_format(doc.ends_on) }}
					{% else %}
						{{ frappe.utils.global_date_format(doc.starts_on) }}
					{% endif %}
				</div>
				<div class="col-12 small text-muted transaction-time">
					{% if doc.all_day %}
						{{ _("All Day") }}
					{% elif doc.ends_on %}
						{{ frappe.utils.get_time(doc.starts_on).strftime("%H:%M") }}
						&ndash;
						{{ frappe.utils.get_time(doc.ends_on).strftime("%H:%M") }}
					{% else %}
						{{ frappe.utils.get_time(doc.starts_on).strftime("%H:%M") }}
					{% endif %}
					{% if doc.repeat %}
					<span>{{ doc.repeat }}</span>
					{% endif %}
				</div>
			</div>
		</div>
	</a>
	{% if doc.recurrences %}
	<div>
		<button class="btn btn-sm btn-info dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
			{{ _("Additional dates")}}
		</button>
		<div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
			{% for recurrence in doc.recurrences %}
				<a class="dropdown-item" href="#">{{ frappe.utils.global_date_format(recurrence.starts_on) }}</a>
			{% endfor %}
		</div>
	</div>
	{% endif %}
</div>

<style>
	.past-event {
		color: var(--gray-700);
	}
</style>
{% endif %}
